# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gameworks/version'

Gem::Specification.new do |spec|
  spec.name          = "gameworks"
  spec.version       = Gameworks::VERSION
  spec.authors       = ["Brian Palmer", "Jacob Fugal", "Travis Elnicky", "Dan Dorman", "Simon Williams"]
  spec.email         = ["brianp@instructure.com", "jacob@instructure.com", "telnicky@instructure.com", "ddorman@instructure.com", "simon@instructure.com"]
  spec.summary       = "A game framework"
  spec.description   = "A ruby game framework used for final problems in instructure mebipenny competitions."
  spec.homepage      = "https://instructure.github.io"

  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = []
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency 'eventmachine', '~> 1.0', '>= 1.0.7'
  spec.add_runtime_dependency 'json', '~> 1.8', '>= 1.8.3'
  spec.add_runtime_dependency 'thin', '~> 1.6', '>= 1.6.3'

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency 'rspec', '~> 3.3', '>= 3.3.0'
  spec.add_development_dependency "rspec-eventmachine", "~> 0.2"
end
